complexType "FinalCalculationPeriodDateAdjustment"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 elements
Defined: | globally in fpml-ird-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | relevantUnderlyingDateReference?, swapStreamReference?, businessDayConvention?
</...>

Content Model Elements (3):

  businessDayConvention (in finalCalculationPeriodDateAdjustment),
  relevantUnderlyingDateReference,
  swapStreamReference

All Direct / Indirect Based Elements (1):

  finalCalculationPeriodDateAdjustment

Known Usage Locations

- As direct type of elements (1):
  finalCalculationPeriodDateAdjustment

Annotation
A type to define business date convention adjustment to final payment period per leg.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="FinalCalculationPeriodDateAdjustment"> <xsd:sequence> <xsd:element minOccurs="0" name="relevantUnderlyingDateReference" type="RelevantUnderlyingDateReference"/> <xsd:element minOccurs="0" name="swapStreamReference" type="InterestRateStreamReference"/> <xsd:element minOccurs="0" name="businessDayConvention" type="BusinessDayConventionEnum"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
businessDayConvention

  Type: | BusinessDayConventionEnum, simple content

  Override business date convention. This takes precedence over leg level information.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "FOLLOWING" | - | The non-business date will be adjusted to the first following day that is a business day See: http://www.FpML.org
  "FRN" | - | Per 2000 ISDA Definitions, Section 4.11. FRN Convention; Eurodollar Convention. See: http://www.FpML.org
  "MODFOLLOWING" | - | The non-business date will be adjusted to the first following day that is a business day unless that day falls in the next calendar month, in which case that date will be the first preceding day that is a business day. See: http://www.FpML.org
  "PRECEDING" | - | The non-business day will be adjusted to the first preceding day that is a business day. See: http://www.FpML.org
  "MODPRECEDING" | - | The non-business date will be adjusted to the first preceding day that is a business day unless that day falls in the previous calendar month, in which case that date will be the first following day that us a business day. See: http://www.FpML.org
  "NEAREST" | - | The non-business date will be adjusted to the nearest day that is a business day - i.e. if the non-business day falls on any day other than a Sunday or a Monday, it will be the first preceding day that is a business day, and will be the first following business day if it falls on a Sunday or a Monday. See: http://www.FpML.org
  "NONE" | - | The date will not be adjusted if it falls on a day that is not a business day. See: http://www.FpML.org
  "NotApplicable" | - | The date adjustments conventions are defined elsewhere, so it is not required to specify them here. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="businessDayConvention" type="BusinessDayConventionEnum"/>

relevantUnderlyingDateReference

  Type: | RelevantUnderlyingDateReference, empty content

  Reference to the unadjusted cancellation effective dates.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="relevantUnderlyingDateReference" type="RelevantUnderlyingDateReference"/>

swapStreamReference

  Type: | InterestRateStreamReference, empty content

  Reference to the leg, where date adjustments may apply.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="swapStreamReference" type="InterestRateStreamReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.